/////////////////////////////////////////////////////////////////
//	Brushing & Scripting                         		 	  //
//	By: FaT NiPple CreaTionS								 //
//	Updated from 21/07/2009 to 10/01/2010 by [ FaTNiPple ]  //
/////////////////////////////////////////////////////////////
//	New shader for blue bricks					// Test 2 //
///////////////////////////////////////////////////////////

textures/tjdingo6/blue
{
	qer_editorimage textures/tjdingo6/blue.jpg
	q3map_globaltexture
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tjdingo6/blue.jpg	
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}  
	{
		map textures/tjdingo6/shiney.jpg
   		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
		tcGen environment
    }
}

/////////////////////////////////////////////////////////////////
//	Hippy Shader from tj_dingo4				    	// Test 3 //
///////////////////////////////////////////////////////////////

textures/tjdingo6/hippy2
{
	qer_editorimage textures/tjdingo6/hippy2.jpg
	cull back

	q3map_nonplanar
	q3map_shadeAngle 180

    q3map_traceLight
	surfaceparm pointlight


	deformVertexes wave 1024 sin 0 30 0 0.5

	surfaceparm nonsolid
  	nocompress
	nopicmip

	{
		map textures/tjdingo6/hippy2.jpg
		rgbGen identity
		tcGen environment		
	}
}

/////////////////////////////////////////////////////////////////
//	New	Shader from tj_dingo				    	// Test 1 //
///////////////////////////////////////////////////////////////

textures/dingo/realleaf
{
	polygonOffset
	entityMergable
	{
		map textures/dingo/realleaf.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

/////////////////////////////////////////////////////////////////
//	New	Shader flag shaders					    	// Test 1 //
///////////////////////////////////////////////////////////////

textures/tjdingo6/tjdingo6_flag1
{
	qer_editorimage textures/tjdingo6/tjdingo6_flag1.tga
	q3map_backsplash 0 0
	q3map_lightsubdivide 64
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/tjdingo6/tjdingo6_flag1.tga
		tcGen environment
        	tcMod turb 0 0.1 0 0.1
        	tcmod scroll .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

textures/tjdingo6/tjdingo6_flag2
{
	qer_editorimage textures/tjdingo6/tjdingo6_flag2.tga
	q3map_backsplash 0 0
	q3map_lightsubdivide 64
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/tjdingo6/tjdingo6_flag2.tga
		tcGen environment
        	tcMod turb 0 0.1 0 0.1
        	tcmod scroll .1 .1
		blendfunc GL_ONE GL_ONE
	}
}